@import "../base/variable.scss";
@import "../base/mixins.scss";

.coverage_section_range_second {
    padding: 110px 0px;
    position: relative;
    &::before{
        position: absolute;
        content: '';
        opacity: 0.5;
        background-image: url('../images/12.png');      
        background-repeat: no-repeat;
        margin: 0 auto;
        text-align: center;
        height: 100%;
        width: 787px;
        z-index: 0;
        top: 0;
        left: 0;
        right: 0px;
    }

    .header_content {
        h1 {
            font-size: 56px;
            font-weight: 600;
            color: $primary_color;
            text-align: center;
            padding-bottom: 20px;
        }

        p {
            font-size: 16px;
            text-align: center;
            padding-left: 100px;
            padding-right: 100px;
            padding-bottom: 10px;
        }
    }

    .header_img { 
        padding-top: 50px;
        width: 100%;
        position: relative;
        iframe{
            border-radius: 20px;

        }

        img {
            position: relative;
            width: 100%;
        }

        .btn_area {
            position: absolute;
            bottom: 0;
            right: 0;
            padding-right: 20px;
            padding-bottom: 20px;
        }
    }



    .coverage_section_area {

        .box_area {
            position: relative;
            z-index: 1;
            background-color: $white;
            margin-top: -110px;
            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
            border-radius: 15px;
            padding: 60px 30px;

            h5 {
                font-size: 18px;
                font-weight: 500;
                color: $black;
            }

            .image_coverage_area {
                border-bottom: 2px solid $border_line;
                padding-top: 30px;
                padding-bottom: 30px;
                .coverage_range{
                    overflow: hidden;
                    position: relative;
                    &::after{
                        position: absolute;
                        content: "\f068";
                        left: 0px;
                        bottom: -9px;
                        font-family: 'Font Awesome 5 Pro';
                        color: $black;
                        font-size: 16px;
                        padding-top: 5px;
                        font-weight: 100;
                        padding-left: 100px;
                    }
                    &::before{
                        position: absolute;
                        content: "\f068";
                        right: 0px;
                        bottom: -9px;
                        font-family: 'Font Awesome 5 Pro';
                        color: $black;
                        font-size: 16px;
                        padding-top: 5px;
                        font-weight: 100;
                        padding-right: 100px;
                    }
                    .first_range{
                        &.excellent{
                        border: 15px solid transparent; 
                        border-radius: 50%;
                        height: 200px;
                        width: 200px;
                        margin: 0 auto;
                        margin-bottom: -110px;    
                        position: relative;
                        z-index: 0;
                        margin-top: 10px;
                        &::after {
                            content: "";
                            position: absolute;
                            top: 0;
                            right: 0;
                            bottom: 0;
                            left: 0;
                            z-index: -1;
                            margin: -11px;
                            border-radius: inherit;
                            background: conic-gradient(from 3.15deg at 50% 50%, rgba(210, 5, 10, 0) 0deg, #D2050A 360deg);
                            transform: rotate(90deg);
                          }
                        }
                        &.good{
                            border: 15px solid transparent; 
                            border-radius: 50%;
                            height: 200px;
                            width: 200px;
                            margin: 0 auto;
                            margin-bottom: -110px;    
                            position: relative;
                            z-index: 0;
                            margin-top: 10px;
                            &::after {
                                content: "";
                                position: absolute;
                                top: 0;
                                right: 0;
                                bottom: 0;
                                left: 0;
                                z-index: -1;
                                margin: -11px;
                                border-radius: inherit;
                                background: linear-gradient(90deg, rgba(210,5,10,1) 50%, rgba(220,220,220,1) 50%);
                               
                              }
                            }
                        &.poor{
                            border: 15px solid transparent; 
                            border-radius: 50%;
                            height: 200px;
                            width: 200px;
                            margin: 0 auto;
                            margin-bottom: -110px;    
                            position: relative;
                            z-index: 0;
                            margin-top: 10px;
                            &::after {
                                content: "";
                                position: absolute;
                                top: 0;
                                right: 0;
                                bottom: 0;
                                left: 0;
                                z-index: -1;
                                margin: -11px;
                                border-radius: inherit;
                                background: linear-gradient(90deg, rgba(210,5,10,1) 0%, rgba(220,220,220,0.4) 0%);
                               
                              }
                        }
                        .second_range{
                            position: relative;
                            border: 2px solid transparent; 
                            border-radius: 50%;
                            height: 140px;
                            width: 140px;
                            margin: 0 auto;
                            margin-top: 10px;
                            box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.60);
                            background-color: $white;
                            z-index: 2;
                            .tower{
                                position: absolute;
                                top: 14%;
                                left: 0;
                                right: 0;
                                margin: 0 auto;
                                text-align: center;
                                img{
                                    width: 32px;
                                }
                            }
                        }
                    }
                }
                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 30px;
                }
            }

            .image_area {
                padding-top: 30px;
                padding-bottom: 30px;
            }

            h5 {
                font-size: 18px;
                font-weight: 500;
                color: $black;
                padding-top: 50px;
            }

            h6 {
                font-size: 14px;
                color: $black;
                font-weight: 500;
            }

            .info_area {
                padding-top: 30px;

                h6 {
                    font-size: 14px;
                    color: $black;
                    font-weight: 500;
                }

                p {
                    font-size: 14px;
                    color: $offfspra2;
                    line-height: 18px;
                    padding-top: 10px;
                    font-weight: 500;
                   padding-left: 30px;
                    padding-right: 30px;
                }
            }
        }
    }
}




/* Extra Huge large desktops */
@media (min-width: 1920px) {}

/* Extra Huge large desktops */
@media (min-width: 1680px) and (max-width: 1919px) {}

/* Extra Huge large desktops */
@media (min-width: 1600px) and (max-width: 1679px) {}

/* Extra large desktops and mac laptops*/
@media (min-width: 1400px) and (max-width: 1599px) {}

@media (min-width: 1200px) and (max-width: 1399px) {}

/* Landscape tablets and medium desktops */
@media (min-width: 992px) and (max-width: 1199px) {
    .coverage_section_range_second {
        padding: 60px 0px;

        .header_content {
            h1 {
                font-size: 56px;
                font-weight: 600;
                color: $primary_color;
                text-align: center;
                padding-bottom: 20px;
            }

            p {
                font-size: 16px;
                text-align: center;
                padding-left: 100px;
                padding-right: 100px;
                padding-bottom: 10px;
            }
        }

        .header_img { 
            padding-top: 50px;
            width: 100%;
            position: relative;
            iframe{
                 height: 300px;
            }

            img {
                position: relative;
                width: 100%;
               
            }

            .btn_area {
                position: absolute;
                bottom: 0;
                right: 0;
                padding-right: 20px;
                padding-bottom: 20px;
            }
        }



        .coverage_section_area {

            .box_area {
                position: relative;
                z-index: 1;
                background-color: $white;
                margin-top: -110px;
                box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                border-radius: 15px;
                padding-top: 0px;
                padding-bottom: 40px;

                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 20px;
                }

                .image_coverage_area {
                    border-bottom: 2px solid $border_line;
                    padding-top: 30px;
                    padding-bottom: 30px;

                    h5 {
                        font-size: 18px;
                        font-weight: 500;
                        color: $black;
                        padding-top: 20px;
                    }
                }

                .image_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                }

                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 50px;
                }

                h6 {
                    font-size: 14px;
                    color: $black;
                    font-weight: 500;
                }

                .info_area {
                    padding-top: 30px;

                    h6 {
                        font-size: 14px;
                        color: $black;
                        font-weight: 500;
                    }

                    p {
                        font-size: 14px;
                        color: $offfspra2;
                        line-height: 18px;
                        padding-top: 10px;
                        font-weight: 500;
                        padding-left: 10px;
                        padding-right: 10px;
                    }
                }
            }
        }
    }
}

/* Landscape tablets and ipad */
@media (min-width: 768px) and (max-width: 991px) {
    .coverage_section_range_second {
        padding: 60px 0px;

        .header_content {
            h1 {
                font-size: 50px;
                font-weight: 600;
                color: $primary_color;
                text-align: center;
                padding-bottom: 20px;
            }

            p {
                font-size: 16px;
                text-align: center;
                padding-left: 30px;
                padding-right: 30px;
                padding-bottom: 10px;
            }
        }

        .header_img {

            padding-top: 30px;
            width: 100%;
            position: relative;
          
            iframe{
                height: 260px;               
            }
 }

    .coverage_section_area {

            .box_area {
                position: relative;
                z-index: 1;
                background-color: $white;
                margin-top: -110px;
                box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                border-radius: 15px;
                padding-top: 0px;
                padding-bottom: 40px;

                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 20px;
                }

                .image_coverage_area {
                    border-bottom: 2px solid $border_line;
                    padding-top: 30px;
                    padding-bottom: 30px;
                    .coverage_range{
                        &::after{
                            padding-left: 22px;
                        }
                        &::before{
                            padding-right: 22px;
                        }
                    }

                    h5 {
                        font-size: 18px;
                        font-weight: 500;
                        color: $black;
                        padding-top: 20px;
                    }
                }

                .image_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                }

                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 50px;
                }

                h6 {
                    font-size: 14px;
                    color: $black;
                    font-weight: 500;
                }

                .info_area {
                    padding-top: 30px;

                    h6 {
                        font-size: 14px;
                        color: $black;
                        font-weight: 500;
                    }

                    p {
                        font-size: 14px;
                        color: $offfspra2;
                        line-height: 18px;
                        padding-top: 10px;
                        font-weight: 500;
                        padding-left: 10px;
                        padding-right: 10px;
                    }
                }
            }
        }
    }

}

/* Landscape phones and portrait tablets */
@media (min-width: 576px) and (max-width: 767px) {
    .coverage_section_range {
        padding: 40px 0px;
        &::before{
            content: none;
        }

        .header_content {
            h1 {
                font-size: 38px;
                padding-bottom: 10px;
            }
            p{
                padding-right: 10px;
                padding-left: 10px;
            }
        }

        .header_img {
            padding-top: 20px;
           iframe{
                height: 260px;               
            }
         
 }

    .coverage_section_area {

            .box_area {
                position: relative;
                z-index: 1;
                background-color: $white;
                margin-top: 30px;
                box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.25);
                border-radius: 15px;
                padding-top: 0px;
                padding-bottom: 40px;

                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 20px;
                }

                .image_coverage_area {
                    border-bottom: 2px solid $border_line;
                    padding-top: 30px;
                    padding-bottom: 30px;
                    .coverage_range{
                        &::after{
                            padding-left: 100px;
                        }
                        &::before{
                            padding-right: 100px;
                        }
                    }

                    h5 {
                        font-size: 18px;
                        font-weight: 500;
                        color: $black;
                        padding-top: 20px;
                    }
                }

                .image_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                }

                h5 {
                    font-size: 18px;
                    font-weight: 500;
                    color: $black;
                    padding-top: 50px;
                }

                h6 {
                    font-size: 14px;
                    color: $black;
                    font-weight: 500;
                }

                .info_area {
                    padding-top: 30px;

                    h6 {
                        font-size: 14px;
                        color: $black;
                        font-weight: 500;
                    }

                    p {
                        font-size: 14px;
                        color: $offfspra2;
                        line-height: 18px;
                        padding-top: 10px;
                        font-weight: 500;
                        padding-left: 10px;
                        padding-right: 10px;
                    }
                }
            }
        }
    }
}

/* Landscape phones and portrait tablets */
@media (min-width: 361px) and (max-width: 575px) {
    .coverage_section_range_second {
        padding: 30px 0px;
        &::before{
            content: none;
        }

        .header_content {
            h1 {
                font-size: 32px;
                padding-bottom: 10px;
            }

            p {
                font-size: 14px;
                padding-left: 10px;
                padding-right: 10px;
                padding-bottom: 0px;
            }
        }

        .header_img {
           padding-top: 20px;
            iframe{
                height: 200px;               
            }
 }

    .coverage_section_area {

            .box_area {
                margin-top: 20px;
                padding-top: 0px;
                padding-bottom: 40px;

                h5 {
                    font-size: 18px;
                    padding-top: 20px;
                }

                .image_coverage_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                    .coverage_range{
                        &::after{
                            padding-left: 22px;
                        }
                        &::before{
                            padding-right: 22px;
                        }
                    }
                    img{
                        width: 100%;
                    }

                    h5 {
                        font-size: 18px;
                        padding-top: 20px;
                    }
                }

                .image_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                  
                }

                h5 {
                    font-size: 18px;
                    padding-top: 50px;
                }

                h6 {
                    font-size: 14px;
                }

                .info_area {
                    padding-top: 30px;
                   p {
                        padding-top: 10px;
                        padding-bottom: 30px;
                        padding-left: 10px;
                        padding-right: 10px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 360px) {
    .coverage_section_range_second {
        padding: 30px 0px;
        &::before{
            content: none;
        }

        .header_content {
            h1 {
                font-size: 32px;
                padding-bottom: 10px;
            }

            p {
                font-size: 14px;
                padding-left: 10px;
                padding-right: 10px;
                padding-bottom: 0px;
            }
        }

        .header_img {
           padding-top: 20px;
            iframe{
                height: 200px;               
            }
 }

    .coverage_section_area {

            .box_area {
                margin-top: 20px;
                padding-top: 0px;
                padding-bottom: 40px;

                h5 {
                    font-size: 18px;
                    padding-top: 20px;
                }

                .image_coverage_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                    .coverage_range{
                        &::after{
                            padding-left: 5px;
                        }
                        &::before{
                            padding-right: 5px;
                        }
                    }
                    img{
                        width: 100%;
                    }

                    h5 {
                        font-size: 18px;
                        padding-top: 20px;
                    }
                }

                .image_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                  
                }

                h5 {
                    font-size: 18px;
                    padding-top: 50px;
                }

                h6 {
                    font-size: 14px;
                }

                .info_area {
                    padding-top: 30px;
                   p {
                        padding-top: 10px;
                        padding-left: 10px;
                        padding-right: 10px;
                    }
                }
            }
        }
    }
}

/* Smaller phones */
@media (max-width: 320px) {
    .coverage_section_range_second {
        padding: 30px 0px;

        .header_content {
            h1 {
                font-size: 32px;
                padding-bottom: 10px;
            }

            p {
                font-size: 14px;
                padding-left: 10px;
                padding-right: 10px;
                padding-bottom: 0px;
            }
        }

        .header_img {
           padding-top: 20px;
            iframe{
                height: 200px;               
            }
 }

    .coverage_section_area {

            .box_area {
                margin-top: 20px;
                padding-top: 0px;
                padding-bottom: 40px;

                h5 {
                    font-size: 18px;
                    padding-top: 20px;
                }

                .image_coverage_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                    img{
                        width: 100%;
                    }

                    h5 {
                        font-size: 18px;
                        padding-top: 20px;
                    }
                }

                .image_area {
                    padding-top: 30px;
                    padding-bottom: 30px;
                  
                }

                h5 {
                    font-size: 18px;
                    padding-top: 50px;
                }

                h6 {
                    font-size: 14px;
                }

                .info_area {
                    padding-top: 30px;
                   p {
                        padding-top: 10px;
                        padding-left: 10px;
                        padding-right: 10px;
                    }
                }
            }
        }
    }
}